Bug 203394 - ALSA hangs when network goes down
ALSA hangs when network goes down
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 13:34 EDT by Bastien Nocera
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 08:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-08-21 13:34:43 EDT
I believe this is due to the way dmix/dsnoop works, and the way it is setup by
system-config-soundcard, hence the bug.

When the network goes down, all the ALSA using audio apps hang with this
backtrace (this is Rhythmbox, using GStreamer):
#0  0x00000038d85c3806 in poll () from /lib64/libc.so.6
#1  0x00000038df1828b7 in snd_pcm_direct_resume () from /lib64/libasound.so.2
#2  0x00000038df182c67 in snd_pcm_direct_server_create ()
   from /lib64/libasound.so.2
#3  0x00000038df17be6c in snd_pcm_dmix_open () from /lib64/libasound.so.2
#4  0x00000038df17c706 in _snd_pcm_dmix_open () from /lib64/libasound.so.2
#5  0x00000038df1502f8 in snd_pcm_free () from /lib64/libasound.so.2
#6  0x00000038df1508b4 in snd_pcm_free () from /lib64/libasound.so.2
#7  0x00000038df150973 in snd_pcm_open_slave () from /lib64/libasound.so.2
#8  0x00000038df184f89 in _snd_pcm_softvol_open () from /lib64/libasound.so.2
#9  0x00000038df1502f8 in snd_pcm_free () from /lib64/libasound.so.2
#10 0x00000038df1509a7 in snd_pcm_open_slave () from /lib64/libasound.so.2
#11 0x00000038df16835a in _snd_pcm_plug_open () from /lib64/libasound.so.2
#12 0x00000038df1502f8 in snd_pcm_free () from /lib64/libasound.so.2
#13 0x00000038df1509a7 in snd_pcm_open_slave () from /lib64/libasound.so.2
#14 0x00000038df182dd6 in _snd_pcm_asym_open () from /lib64/libasound.so.2
#15 0x00000038df1502f8 in snd_pcm_free () from /lib64/libasound.so.2
#16 0x00000038df1508b4 in snd_pcm_free () from /lib64/libasound.so.2
#17 0x00002aaab37e9b38 in ?? () from /usr/lib64/gstreamer-0.10/libgstalsa.so
#18 0x00002aaab32b8565 in gst_audio_sink_get_type ()
   from /usr/lib64/libgstaudio-0.10.so.0
#19 0x00002aaab32bf980 in gst_ring_buffer_open_device ()
   from /usr/lib64/libgstaudio-0.10.so.0
#20 0x00002aaab32bbf09 in gst_base_audio_sink_get_type ()
   from /usr/lib64/libgstaudio-0.10.so.0
<snip>
Comment 1 Bastien Nocera 2006-08-21 13:36:38 EDT
My ainit.conf looks like that:
# enable/disable ainit
#
enable = yes

#
# overwrite target files, if exists
#
overwrite = yes

#
# first config file - for dmix plugin
#
template_0 = /etc/alsa/pcm/dmix.template
target_0  = /etc/alsa/pcm/dmix.conf
target_back_0  = /etc/alsa/pcm/dmix.conf.back
target_root_file_0 = yes

#
# second config file - for dsnoop plugin
#
template_1 = /etc/alsa/pcm/dsnoop.template
target_1 = /etc/alsa/pcm/dsnoop.conf
target_back_1 = /etc/alsa/pcm/dsnoop.conf.back
target_root_file_1 = yes
Comment 2 Martin Stransky 2006-10-13 11:32:54 EDT
Could you please check it in FC6?

Note You need to log in before you can comment on or make changes to this bug.